#include <stdint.h>

// Encode a binary value to BCD.
uint8_t bcd_encode(uint8_t value) {
	return ((value / 10) << 4) | (value % 10);
}

// Decode a binary value from BCD.
uint8_t bcd_decode(uint8_t value) {
	return (value >> 4) * 10 + (value & 0xF);
}

// Check if a BCD value is valid (between 0x00 and 0x99).
uint8_t bcd_is_valid(uint8_t value) {
	return ((value & 0x0F) <= 0x09) && ((value & 0xF0) <= 0x90);
	
}