#ifndef MCP23S08_H
#define MCP23S08_H

#define MCP23S08_PORT (SPI_PORT)
#define MCP23S08_DDR (SPI_DDR)
#define MCP23S08_PIN (SPI_PIN)

#define MCP23S08_SS_BIT (SPI_SS_BIT)

// Initialise access to the MCP23S08.
void mcp23s08_init(void);

enum mcp23s08_register_t {
	MCP23S08_IODIR = 0x00,
	MCP23S08_IPOL = 0x01,
	MCP23S08_GPINTEN = 0x02,
	MCP23S08_DEFVAL = 0x03,
	MCP23S08_INTCON = 0x04,
	MCP23S08_IOCON = 0x05,
	MCP23S08_GPPU = 0x06,
	MCP23S08_INTF = 0x07,
	MCP23S08_INTCAP = 0x08,
	MCP23S08_GPIO = 0x09,
	MCP23S08_OLAT = 0x0A,
};

enum mcp23s08_configuration_bits_t {
	MCP23S08_SEQOP = 5,
	MCP23S08_DISSLW = 4,
	MCP23S08_HAEN = 3,
	MCP23S08_ODR = 2,
	MCP23S08_INTPOL = 1,
};

// Write a value to an MCP23S08 register.
void mcp23s08_write(uint8_t address, enum mcp23s08_register_t reg, uint8_t value);

// Read a value from a MCP23S08 register.
uint8_t mcp23s08_read(uint8_t address, enum mcp23s08_register_t reg);

#endif