#ifndef SPI_H
#define SPI_H

#define SPI_PORT (PORTB)
#define SPI_PIN (PINB)
#define SPI_DDR (DDRB)

#define SPI_SS_BIT (4)
#define SPI_MOSI_BIT (5)
#define SPI_MISO_BIT (6)
#define SPI_SCK_BIT (7)

// Initialise the device as an SPI master.
void spi_init(void);

// Exchanges data with the SPI slave.
uint8_t spi_transmit(uint8_t data);

// Set the SPI clock speed to a defined maximum.
void spi_set_speed(uint32_t max_speed);

#endif