#ifndef Z80_MEMORY_H
#define Z80_MEMORY_H

// Initialise the Z80 memory accessing routines.
void z80_memory_init(void);

// Set the address on the Z80 bus.
void z80_memory_set_address(uint16_t address);

// Get the address from the Z80 bus.
uint16_t z80_memory_get_address(void);

// Drive the Z80 bus to take control of it.
void z80_memory_control_address(void);

// Release the address bus to its high impedence state.
void z80_memory_release_address(void);

// Read a byte from the Z80 memory.
uint8_t z80_memory_read(void);

// Write a byte to the Z80 memory.
void z80_memory_write(uint8_t value);

#endif